---
title: RTCInboundRtpStreamStats.lastPacketReceivedTimestamp
slug: Web/API/RTCInboundRtpStreamStats/lastPacketReceivedTimestamp
tags:
  - API
  - Media
  - Property
  - RTCInboundRtpStreamStats
  - RTP
  - Reference
  - Time
  - Time stamp
  - WebRTC
  - WebRTC API
  - lastPacketReceivedTimestamp
  - stream
  - timeStamp
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>lastPacketReceivedTimestamp</code></strong> property of the {{domxref("RTCInboundRtpStreamStats")}} dictionary indicates the time at which the most recently received packet arrived from this source.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>lastPacketTimestamp</em> = <em>rtcInboundRtpStreamStats</em>.lastPacketReceivedTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} which specifies the time at which the most recently received packet arrived on this RTP stream.</p>

<div class="notecard note">
<p><strong>Note:</strong> This value differs from the {{domxref("RTCStats.timestamp", "timestamp")}}, which represents the time at which the statistics object was created.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcinboundrtpstreamstats-lastpacketreceivedtimestamp', 'RTCInboundRtpStreamStats.lastPacketReceivedTimestamp')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCInboundRtpStreamStats.lastPacketReceivedTimestamp")}}</p>
